// creator  : weidu.exe (version 23100)
// argument : C6SQUIRE.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~C6SQUIRE~

IF ~NumTimesTalkedTo(0)
!Dead("Bodhi")~ THEN BEGIN 0 // from:
  SAY #52957 /* ~Greetings to you, <CHARNAME>, in the name of the Most Noble Order of the Radiant Heart.  Allow me to introduce myself... I am Squire Catheras, assistant to the Prelate Wessalen.~ */
  IF ~Class(Player1,PALADIN_ALL)
Global("PaladinOrder","GLOBAL",1)~ THEN GOTO 1
  IF ~Class(Player1,PALADIN_ALL)
OR(2)
Global("PaladinOrder","GLOBAL",2)
Global("PaladinOrder","GLOBAL",0)
ReputationGT(Player1,9)~ THEN GOTO 2
  IF ~Class(Player1,PALADIN_ALL)
OR(2)
Global("PaladinOrder","GLOBAL",3)
ReputationLT(Player1,10)~ THEN GOTO 3
  IF ~!Class(Player1,PALADIN_ALL)
ReputationGT(Player1,9)~ THEN GOTO 4
  IF ~!Class(Player1,PALADIN_ALL)
ReputationLT(Player1,10)~ THEN GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #52960 /* ~I must admit I am something of a follower of the recent tales of your exploits, especially since you joined the Order.  Your deeds are impressive, to say the least.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #52961 /* ~I am also something of a follower of tales of your exploits, even though you are not a member of the Order.  They say your deeds are... most impressive.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #52964 /* ~I am also something of a follower of the many tales of your exploits, even though the Prelate forbids it.  Your deeds are legendary, in my eyes, despite... ah... the fact that you have strayed from the Path.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #52966 /* ~I am young, but I have been following the tales of your many exploits.  It is difficult to discern the truth, but whatever truth there is to these tales must still be quite exciting!~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 0.4
  SAY #52971 /* ~I am something of a follower of the tales I hear of your exploits, even though the Prelate forbids it.  I must warn you, however... you are not very welcome, here, with your reputation.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0 4.0 3.0 2.0 1.0
  SAY #52972 /* ~I am pleased to finally meet you in person.  I apologize, however... you likely came here with a purpose, and I am keeping you from it.  Did... did you have business with the Order, <CHARNAME>?~ */
  IF ~ReputationGT(Player1,9)~ THEN REPLY #52976 /* ~I do, but I can speak only to the Prelate of it.~ */ GOTO 7
  IF ~ReputationLT(Player1,10)~ THEN REPLY #52978 /* ~I do, but I can speak only to the Prelate of it.~ */ GOTO 8
  IF ~~ THEN REPLY #52982 /* ~I intend to enlist the aid of the Order in battling a powerful vampire that is in the city.~ */ GOTO 9
  IF ~~ THEN REPLY #52985 /* ~Step aside, brat.  I can speak for myself.~ */ GOTO 12
  IF ~~ THEN REPLY #52986 /* ~No, I don't think so.~ */ GOTO 13
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #52987 /* ~Of course, forgive me for being so inquisitive.  I am sure the Prelate would have nothing against speaking with you.  Follow me.~ */
  IF ~~ THEN DO ~SetGlobal("Move","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 8 // from: 6.1
  SAY #52989 /* ~Well... I suppose you *could* talk to the Prelate, but I don't know how receptive he would be to speaking with you, considering... well, you know.  I will leave it up to him, though.  Follow me.~ */
  IF ~~ THEN DO ~SetGlobal("Move","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 9 // from: 6.2
  SAY #52990 /* ~A... a vampire?  Such a terrible creature truly exists?  Here in Athkatla?  I... I had no idea!~ */
  IF ~ReputationGT(Player1,9)~ THEN GOTO 10
  IF ~ReputationLT(Player1,10)~ THEN GOTO 11
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #52991 /* ~You must tell the Prelate about this immediately!  If there is such a pervasive evil in the city, I am sure the Order will do all it can to assist you.  Come!~ */
  IF ~~ THEN DO ~SetGlobal("Move","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 11 // from: 9.1
  SAY #52993 /* ~You must tell the Prelate about this immediately!  Despite your reputation, I am sure he would consider this creature an evil that the Order must battle!  Come!  Follow me!~ */
  IF ~~ THEN DO ~SetGlobal("Move","LOCALS",1)
~ EXIT
END

IF ~~ THEN BEGIN 12 // from: 6.3
  SAY #52994 /* ~Ah... of course, of course.  You want to... speak to the Prelate personally.  I completely understand.  I'm sure you know the way, then, <PRO_SIRMAAM>.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 13 // from: 6.4
  SAY #52995 /* ~Oh.  Well, as I said... it is good to finally meet you in person, <PRO_SIRMAAM>.  I have no doubt that I shall hear more of you soon enough.  Good day to you.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~Global("OrderFightBodhi","GLOBAL",0)
!Dead("Bodhi")~ THEN BEGIN 14 // from:
  SAY #52996 /* ~I'm sure the Prelate can be convinced to help you, <GABBER>.~ */
  IF ~~ THEN EXIT
END

IF ~Global("OrderFightBodhi","GLOBAL",1)
!Dead("Bodhi")~ THEN BEGIN 15 // from:
  SAY #52997 /* ~So we're going to help you destroy a... a powerful vampire?  Merciful Tyr, what a battle that will be!  I will go and relay the message immediately to Sir Reirrac!~ */
  IF ~~ THEN DO ~MoveToPointNoInterrupt([612.589])
EscapeArea()~ EXIT
END

IF ~Global("OrderFightBodhi","GLOBAL",2)
!Dead("Bodhi")~ THEN BEGIN 16 // from:
  SAY #52998 /* ~I see that the Prelate refused you.  Perhaps... perhaps there is still some way to appease him.  The Order *does* exist to fight the greater evil... maybe if you could convince him of *that*...~ */
  IF ~~ THEN EXIT
END

IF ~Dead("Bodhi")
ReputationGT(LastTalkedToBy,14)~ THEN BEGIN 17 // from:
  SAY #53000 /* ~Greetings, <GABBER>.  The tales of your deeds precede you... we hear of your great feats even here in the Order.  The city was fortunate to have you arrive here, I think.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~Dead("Bodhi")
ReputationLT(LastTalkedToBy,15)~ THEN BEGIN 18 // from:
  SAY #53001 /* ~Greetings, <GABBER>.  Please excuse me... while I would love to ask you of your journeys, the Order does keep us Squires quite busy.~ */
  IF ~~ THEN EXIT
END
